SUMMARY = "x11vnc"
HOMEPAGE = "http://www.karlrunge.com/x11vnc/"
LICENCE = "GPLV2"
SECTION = "console/utils"
SRC_URI = "file://x11vnc-0.9.13.tar.gz \
	   file://x11vnc-0.9.13/x11vnc.sh"


do_configure (){
	     ./configure --without-x  --without-v4l \
	     --without-macosx-native --without-avahi \
	     --host x86_64
}

do_compile () {
	   make CFLAGS+='-DSMALL_FOOTPRINT=3 -DNOGUI'
}


do_install() {
	install -d ${D}${bindir}
	install -m 0755 x11vnc/x11vnc ${D}${bindir}/x11vnc-bin
	install -m 0755 x11vnc.sh ${D}${bindir}/x11vnc
	
}
